/**
 * logger
 * Created by YancyYe on 2019/3/28.
 */

/// Logger
class Logger {
  static const String _TAG_DEF = "### Logger ###";
  static String TAG = _TAG_DEF;

  static bool isDebug = false;

  static void init({bool debuggable = false, String tag = _TAG_DEF}) {
    isDebug = debuggable;
    TAG = tag;
  }

  static void i(Object object, {String tag}) {
    if (isDebug) _printLog(tag, "  v   ", object);
  }

  static void _printLog(String tag, String stag, Object object) {
    StringBuffer sb = new StringBuffer();
    sb.write((tag == null || tag.isEmpty) ? TAG : tag);
    sb.write(stag);
    sb.write(object);
    print(sb.toString());
  }
}
